# Uses of Class
org.eclipse.swt.widgets.TabItem

Packages that use TabItem
Package
Description
org.eclipse.swt.widgets

## Uses of TabItem in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return TabItem
Modifier and Type
Method
Description
`TabItem`
TabFolder.`getItem(int index)`
Returns the item at the given, zero-relative index in the receiver.
`TabItem`
TabFolder.`getItem(Point point)`
Returns the tab item at the given point in the receiver or null if no such item exists.
`TabItem[]`
TabFolder.`getItems()`
Returns an array of `TabItem`s which are the items in the receiver.
`TabItem[]`
TabFolder.`getSelection()`
Returns an array of `TabItem`s that are currently selected in the receiver.
Methods in org.eclipse.swt.widgets with parameters of type TabItem
Modifier and Type
Method
Description
`int`
TabFolder.`indexOf(TabItem item)`
Searches the receiver's list starting at the first item (index 0) until an item is found that is equal to the argument, and returns the index of that item.
`void`
TabFolder.`setSelection(TabItem item)`
Sets the receiver's selection to the given item.
`void`
TabFolder.`setSelection(TabItem[] items)`
Sets the receiver's selection to be the given array of items.